# Class NoSuchDataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.datanode.nodes.NoSuchDataException

All Implemented Interfaces:
  `Serializable`

public class NoSuchDataException extends Exception
Exception thrown when construction of a DataNode fails with some reasonable cause.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoSuchDataException(String message)`
`NoSuchDataException(String message, Throwable th)`
`NoSuchDataException(Throwable th)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoSuchDataException

public NoSuchDataException(String message)

### NoSuchDataException

public NoSuchDataException(Throwable th)

### NoSuchDataException

public NoSuchDataException(String message, Throwable th)